
QGIS Application - Bug report #14343

Creating a SpatiLite layer without attributes fails in the 'New SpatiaLite layer' dialogue

2016-02-20 07:18 AM - R. R.

Status: Closed

Priority: Normal

Assignee:

Category: Unknown

Affected QGIS version:2.12.2 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 22329

Description

In the 'New SpatiaLite layer' dialogue (Crtl+Shift+A) the 'OK' button is disabled until at least one attribute is added. Layers containing only

a primary key and a geometry column aren't working.

In the DB Manager just a single field is needed to create a SpatiaLite table.

Associated revisions

Revision 70b9296f - 2016-06-23 01:31 PM - Alexander Bruy

fix signal-slot connection in New SpatiaLite layer dialog (fix #14343)

Revision c943531c - 2016-06-23 01:32 PM - Alexander Bruy

fix signal-slot connection in New SpatiaLite layer dialog (fix #14343)

(cherry picked from commit 70b9296f371a057ab90f64a6edc39f482a26f21d)

History

#1 - 2016-06-23 04:30 AM - Alexander Bruy

- Status changed from Open to Closed

Fixed in changeset commit:"70b9296f371a057ab90f64a6edc39f482a26f21d".

#2 - 2017-09-22 10:05 AM - Jürgen Fischer

- Category set to Unknown
